<!--
 * @Date: 2024-05-26 21:50:26
 * @LastEditors: Sneed
 * @LastEditTime: 2024-06-11 22:19:59
 * @FilePath: /belleson-frontend/Users/mache/Documents/demo/cps-web/src/views/dnc/craft/document/Children.vue
-->
<template>
    <el-tabs v-model="activeName" type="card" class="demo-tabs" @tab-click="handleClick">
        <el-tab-pane label="程序" name="1">
            <el-button type="primary" @click="addFile">添加文件</el-button>
            <el-table :data="tableData" style="width: 100%">
                <el-table-column label="文件名" prop="filename" width=""></el-table-column>
                <el-table-column label="文件大小" prop="contentLength" width=""></el-table-column>
                <el-table-column label="文件类型" prop="suffix" width=""></el-table-column>

                <el-table-column label="操作" prop="" width="">
                    <template #default="scope">
                        <el-button-group>
                            <el-popconfirm v-if="!scope.row.isSet" title="确定删除吗？"
                                @confirm="table_del(scope.row, scope.$index)">
                                <template #reference>
                                    <el-button text type="primary" size="small">删除</el-button>
                                </template>
                            </el-popconfirm>
                        </el-button-group>
                    </template>
                </el-table-column>
            </el-table>
        </el-tab-pane>
        <el-tab-pane label="文档" name="2">
            <el-button type="primary" @click="addFile">添加文件</el-button>
            <el-table :data="tableData1" style="width: 100%">
                <el-table-column label="文件名" prop="filename" width=""></el-table-column>
                <el-table-column label="文件大小" prop="contentLength" width=""></el-table-column>
                <el-table-column label="文件类型" prop="suffix" width=""></el-table-column>

                <el-table-column label="操作" prop="" width="">
                    <template #default="scope">
                        <el-button-group>
                            <el-popconfirm v-if="!scope.row.isSet" title="确定删除吗？"
                                @confirm="table_del(scope.row, scope.$index)">
                                <template #reference>
                                    <el-button text type="primary" size="small">删除</el-button>
                                </template>
                            </el-popconfirm>
                        </el-button-group>
                    </template>
                </el-table-column>
            </el-table>
        </el-tab-pane>
    </el-tabs>
</template>

<script>
export default {
    props: {
        list: {
            type: Array,
            default() {
                return []
            }
        }
    },
    computed: {
        tableData() {
            return this.list.filter(v => v.fileType === 1)
        },
        tableData1() {
            return this.list.filter(v => v.fileType === 2)
        }
    },
    data() {
        return {
            activeName: '1',
        }
    },
    methods: {
        handleClick() {

        },
        table_del(row) {
            this.$HTTP.delete(`/api/blade-dnc/dnc-art-file/remove`, {}, { data: [row.id] }).then(res => {
                if (res.success) {
                    this.$emit('delete')
                }
            })
        }
    }
}
</script>

<style lang="scss" scoped></style>